curl --request POST \
--url https://api.fabric.inc/v3/inventory-networks/actions/soft-release \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data @- <<EOF
{
"items": [
{
"channelId": "3",
"lineItemId": "2",
"quantity": 5,
"sku": "OMSTESTSKU1",
"backorderQuantity": 5,
"errorMessage": "<string>",
"itemId": "451008962041",
"locationNumber": 999,
"networkCode": "ShipToHome",
"preorderQuantity": 5,
"reservedNetworkCodes": [
"<string>"
],
"status": "<string>",
"type": "['STANDARD','PREORDER','BACKORDER']"
}
],
"cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"createdAt": "2022-08-01T18:03:28.483971941Z",
"expiresAt": "2022-08-01T18:03:28.483971941Z",
"id": "\"Infinity\"",
"networkCode": "DCOnly",
"orderId": "62ab7af89ed14510827fe074",
"orderNumber": "order_20220729_883",
"orderType": "['STANDARD','CSR']",
"updatedAt": "2022-08-01T18:03:28.483971941Z",
"vendorId": "test_vendor"
}
EOFimport requests
url = "https://api.fabric.inc/v3/inventory-networks/actions/soft-release"
payload = {
"items": [
{
"channelId": "3",
"lineItemId": "2",
"quantity": 5,
"sku": "OMSTESTSKU1",
"backorderQuantity": 5,
"errorMessage": "<string>",
"itemId": "451008962041",
"locationNumber": 999,
"networkCode": "ShipToHome",
"preorderQuantity": 5,
"reservedNetworkCodes": ["<string>"],
"status": "<string>",
"type": "['STANDARD','PREORDER','BACKORDER']"
}
],
"cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"createdAt": "2022-08-01T18:03:28.483971941Z",
"expiresAt": "2022-08-01T18:03:28.483971941Z",
"id": "\"Infinity\"",
"networkCode": "DCOnly",
"orderId": "62ab7af89ed14510827fe074",
"orderNumber": "order_20220729_883",
"orderType": "['STANDARD','CSR']",
"updatedAt": "2022-08-01T18:03:28.483971941Z",
"vendorId": "test_vendor"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
items: [
{
channelId: '3',
lineItemId: '2',
quantity: 5,
sku: 'OMSTESTSKU1',
backorderQuantity: 5,
errorMessage: '<string>',
itemId: '451008962041',
locationNumber: 999,
networkCode: 'ShipToHome',
preorderQuantity: 5,
reservedNetworkCodes: ['<string>'],
status: '<string>',
type: '[\'STANDARD\',\'PREORDER\',\'BACKORDER\']'
}
],
cartId: 'b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569',
createdAt: '2022-08-01T18:03:28.483971941Z',
expiresAt: '2022-08-01T18:03:28.483971941Z',
id: '"Infinity"',
networkCode: 'DCOnly',
orderId: '62ab7af89ed14510827fe074',
orderNumber: 'order_20220729_883',
orderType: '[\'STANDARD\',\'CSR\']',
updatedAt: '2022-08-01T18:03:28.483971941Z',
vendorId: 'test_vendor'
})
};
fetch('https://api.fabric.inc/v3/inventory-networks/actions/soft-release', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"aggregatedNetworks": [
{
"backorderLimit": 50,
"backorderShipmentAt": "2022-08-01T20:03:28.483Z",
"channelId": "channel_xyz",
"counters": {
"allocated": 10,
"onHand": 100,
"shipped": 20
},
"createdAt": "2022-08-01T18:03:28.483Z",
"customAttributes": {
"isBopis": true
},
"hasInfiniteInventory": false,
"inventoryId": "723910d81723",
"isNoStock": false,
"itemId": 12345,
"leadTime": "5 days",
"locationNumber": 12345,
"lowStock": 10,
"networkCode": "ShipToHome",
"networkCounters": {
"softReserve": 10
},
"preorderLimit": 40,
"preorderShipmentAt": "2022-08-01T20:03:28.483Z",
"region": "North America",
"safetyStock": 10,
"segment": "Sample Segment",
"sku": "SKU1",
"status": " IN_STOCK",
"type": "primary",
"updatedAt": "2022-08-01T20:03:28.483Z",
"vendorId": "vendor1",
"virtualCounters": {
"availableBackorder": "<string>",
"availablePreorder": "<string>",
"availableToPurchase": "<string>"
},
"virtualCountersStatus": {
"availableBackorder": "<string>",
"availablePreorder": "<string>",
"availableToPurchase": "<string>"
}
}
]
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Release soft reservation
Release soft reservation.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Body
SoftReserveRequest model
Items which needs to be reserved. Required parameter
Show child attributes
Show child attributes
CartId for which soft reserve requested, at least one of orderNumber or cartId or OrderId is required
"b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569"
Date when soft reservation was created
"2022-08-01T18:03:28.483971941Z"
Date when soft reservation will expire
"2022-08-01T18:03:28.483971941Z"
ID
"\"Infinity\""
Network for which items needs to be reserved. Optional parameter
"DCOnly"
Order ID for which soft reserve requested, at least one of orderNumber or cartId or OrderId is required
"62ab7af89ed14510827fe074"
OrderNumber for which soft reserve requested, at least one of orderNumber or cartId or OrderId is required
"order_20220729_883"
Order type, default value is STANDARD. Optional parameter
"['STANDARD','CSR']"
Date when soft reservation was updated
"2022-08-01T18:03:28.483971941Z"
VendorId for which soft reserve requested. Optional parameter
"test_vendor"
Response
OK
AggregatedNetworksResponse model
Aggregated networks
Show child attributes
Show child attributes
Was this page helpful?
